Download it now!
Bug 93080 - EDITING: For Spanish cell format with the first three letters of a day of week plus date, only for Tuesday (Martes) is not recognized as date.
Summary: EDITING: For Spanish cell format with the first three letters of a day of wee...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: Other All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:5.1.0 target:5.0.1 target:4.4.6
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-02 13:59 UTC by m.a.riosv
Modified: 2016-10-25 19:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments
Sample file to reproduce the issue. (275.75 KB, application/vnd.oasis.opendocument.text)
2015-08-02 13:59 UTC, m.a.riosv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.a.riosv 2015-08-02 13:59:44 UTC
Created attachment 117605 [details]
Sample file to reproduce the issue.

For cells with Spanish cell format, from a validation list:

lun 03/08/2015 -> 03/08/15 (is recognized as date)
mar 04/08/2015 -> mar 04/08/2015 (not is recognized as date)
mié 05/08/2015 -> 05/08/15 (is recognized as date)

The issues is inherited, reproducible with AOo 4.1.1

It doesn't happen with English(US)(UK), French (FR).
Comment 1 GerardF 2015-08-02 15:56:38 UTC
Confirmed with LO 4.4.4.

Note that long date "martes 04/08/2015" is recognized as date.
Comment 2 m.a.riosv 2015-08-02 17:39:04 UTC
Thanks for the clarification, I forgot to do it.
Comment 3 Julien Nabet 2015-08-02 21:28:41 UTC
On pc Debian x86-64 with master sources updated yesterday, I could reproduce this.

I took a look to i18npool/source/localedata/data/es_ES.xml (see http://opengrok.libreoffice.org/xref/core/i18npool/source/localedata/data/es_ES.xml) I wonder if the pb could be due to the fact that "mar" may also be interpreted as the month March ("Marzo").

I suppose there's a link with i18npool/source/localedata/LocaleNode.cxx and generateCode. Digging a bit, I found this:
http://opengrok.libreoffice.org/xref/core/svl/source/numbers/zforfind.cxx#1487

I must keep on digging.
Comment 4 m.a.riosv 2015-08-02 22:32:56 UTC
Thanks Julien,

following your comment, thinking if it can be in other languages, I have tested in Galicia "martes" "marzo", Italian "Martedì" "Marzo" happens the same.

Maybe the same issue with other languages where the first three letters are equal for weekday and month name.

Perhaps one way could be testing weekday if month test fails.
Comment 5 Julien Nabet 2015-08-03 21:15:21 UTC
Eike: digging in svl/source/numbers/zforfind.cxx is quite difficult.
Would you have some idea? (see previous comments for the rare already findings)
Comment 6 Eike Rathke 2015-08-06 10:39:43 UTC
Yes, I have an idea ;-)  "mar" abbreviation for "martes" is the same string as "mar" abbreviation for "marzo" and apparently takes precedence, which it should not.
Comment 7 Eike Rathke 2015-08-06 10:42:29 UTC
I'll fix this.
Comment 8 Commit Notification 2015-08-06 16:32:41 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c7d66949beecab92dc8f1380c54751710aa0b7a2

Resolves: tdf#93080 short day name and month name may interfere

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 9 Commit Notification 2015-08-06 17:12:53 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=b02f792f23e6d5872de1f2f5abd0151a89751c43

unit test for short name ambiguity, tdf#93080

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 10 Eike Rathke 2015-08-06 17:25:35 UTC
Pending review
https://gerrit.libreoffice.org/17545 for 5-0
https://gerrit.libreoffice.org/17546 for 4-0
Comment 11 Commit Notification 2015-08-07 08:15:25 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c978ce3b0774912ec0979b6cfec02927d8837a3e&h=libreoffice-5-0

Resolves: tdf#93080 short day name and month name may interfere

It will be available in 5.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 12 Commit Notification 2015-08-07 08:16:37 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-4-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=28b7e6f0acfa5e8cc3a08218584eeb71e4b313a3&h=libreoffice-4-4

Resolves: tdf#93080 short day name and month name may interfere

It will be available in 4.4.6.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 13 Julien Nabet 2015-08-07 18:28:04 UTC
On pc Debian x86-64 with master sources updated today, I don't reproduce this.
Thank you Eike!